---DESCRIPTION
--Print a listing of user's system privileges.

SET FEEDBACK OFF
SET PAGESIZE 20
SET LINESIZE 77
SET HEADING ON

--Specify the column format.
COLUMN username FORMAT A12 HEADING 'User'
COLUMN privilege FORMAT A20 HEADING 'Privilege'

--Setup the page title. 
TTITLE LEFT 'User System Privileges' RIGHT 'Page ' FORMAT 999 SQL.PNO SKIP 2

--Run the report
SELECT username, privilege
  FROM dba_users, dba_sys_privs
 WHERE username = grantee
ORDER BY username, privilege;

